summaryrefslogtreecommitdiff
path: root/src
diff options
context:
space:
mode:
Diffstat (limited to 'src')
-rwxr-xr-xsrc/password-store.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/src/password-store.sh b/src/password-store.sh
index 706eada..d9d458a 100755
--- a/src/password-store.sh
+++ b/src/password-store.sh
@@ -275,11 +275,12 @@ case "$command" in
echo "Usage: $program $command pass-names..."
exit 1
fi
- if ! tree --help |& grep -q "^ --matchdirs"; then
+ if ! tree --version | grep -q "Jason A. Donenfeld"; then
echo "ERROR: $program: incompatible tree command"
echo
echo "Your version of the tree command is missing the relevent patch to add the"
- echo "--matchdirs switch. Please ask your distribution to patch your version of"
+ echo "--matchdirs and --caseinsensitive switches. Please ask your distribution"
+ echo "to patch your version of"
echo "tree with:"
echo " http://git.zx2c4.com/password-store/plain/contrib/tree-1.6.0-matchdirs.patch"
echo "Sorry for the inconvenience."
@@ -287,7 +288,7 @@ case "$command" in
fi
terms="$@"
echo "Search Terms: $terms"
- tree -l --noreport -P "*${terms// /*|*}*" --prune --matchdirs "$PREFIX" | tail -n +2 | sed 's/\.gpg$//'
+ tree -l --noreport -P "*${terms// /*|*}*" --prune --matchdirs --caseinsensitive "$PREFIX" | tail -n +2 | sed 's/\.gpg$//'
;;
insert)
multiline=0
k (most recent call last): File "contrib/importers/keepassx2pass.py", line 80, in <module> main(sys.argv[1]) File "contrib/importers/keepassx2pass.py", line 77, in main import_group(group) File "contrib/importers/keepassx2pass.py", line 71, in import_group import_entry(entry, npath) File "contrib/importers/keepassx2pass.py", line 58, in import_entry print "Importing " + path_for(element, path) File "contrib/importers/keepassx2pass.py", line 37, in path_for title = cleanTitle(space_to_camelcase(element.find('title').text)) File "contrib/importers/keepassx2pass.py", line 16, in space_to_camelcase for word in value.split(" "): AttributeError: 'NoneType' object has no attribute 'split' 2014-06-16emacs: Use PASSWORD_STORE_CLIP_TIME env variableSvend Sorensen1-4/+7 Timeout password after PASSWORD_STORE_CLIP_TIME seconds, if set. Otherwise timeout after 45 seconds. These are the setting used by pass. 2014-06-16emacs: Use when instead of if/prognSvend Sorensen1-5/+4 2014-06-16emacs: Update pass website URLSvend Sorensen1-1/+1 2014-05-27Update for new URL.Jason A. Donenfeld3-3/+3 2014-05-14Bump version1.6.2Jason A. Donenfeld1-1/+1 2014-05-14Don't define tmpdir on git init.Jason A. Donenfeld1-4/+3 2014-05-14Disable secmem warning when discovering keysmilki2-2/+2 Key discovery parses stderr output of gnupg. The secmem warning interferes with parsing. 2014-05-10edit: Quote editor so tests work in spaced directories.Jason A. Donenfeld1-1/+1 2014-05-10reencryption: Properly escape input to sedJason A. Donenfeld1-1/+1 2014-05-10git: use secure tmp directoryJason A. Donenfeld1-4/+11 2014-05-10configure git to decrypt gpg files automaticallySamuel Le Thiec1-0/+5 - usefull for git commands showing diff, e.g.: pass git log -p - from what I can see, not 'cleartext' temporary files are created 2014-05-08completion: add new generate flagsJason A. Donenfeld3-2/+7 2014-05-08inplace: mutually exclusive with forceJason A. Donenfeld2-3/+3 2014-05-08usage: tab to spacesJason A. Donenfeld1-1/+1 2014-05-08generate: use nice ansi colors instead.Jason A. Donenfeld1-3/+2 Revert "Mute git-commit messages to make pass insert readable" This reverts commit f30ce6374d554e704162d5fa8e49acd9c6fd0ecc. I decided I like the git output. Instead highlight generated passwords using nice terminal output instead. 2014-05-08zsh: posix compatible sed fix for zsh-completionJason A. Donenfeld1-1/+1 This reverts commit 56381287a16792b4c6410f07db68e02f3574c213, and further fixes things. 2014-05-07Implement interactive init functionSvend Sorensen1-0/+8 2014-05-07Implement interactive rename functionSvend Sorensen1-0/+7 2014-05-07Reorder interactive function to match order of helper functionsSvend Sorensen1-13/+13 2014-05-07Make edit helper function name consistent with other helpersSvend Sorensen1-1/+1 2014-05-07Factor out password completing-read functionSvend Sorensen1-4/+8 2014-05-07Add dash to Package-RequiresSvend Sorensen1-1/+1 2014-05-06Force sane sort order.Jason A. Donenfeld1-2/+2 2014-05-06generate: add --in-place optionJason A. Donenfeld4-9/+33